# Update an office hours schedule

You can update an existing office hours schedule.

Endpoint: PUT /office_hours_schedules/{id}
Version: 2.18
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    The unique identifier for the office hours schedule.

## Header parameters:

  - `Intercom-Version` (string)

## Request fields (application/json):

  - `name` (string)
    The name of the office hours schedule. It must be unique among the workspace's schedules; a duplicate name returns a 422 error.
    Example: Extended Support Hours

  - `time_zone_name` (string)
    The IANA time zone the schedule's hours are evaluated in.
    Example: America/New_York

  - `time_intervals` (array)
    The open intervals for the schedule. `start_minute` and `end_minute` must be on a 15-minute boundary, except for the whole-week interval `0` to `10079`. Don't send `day_of_week`; it is read-only and a request that includes it is rejected with a 400 error. When provided, the intervals replace all of the schedule's existing intervals.

  - `time_intervals.start_minute` (integer)
    Minute the interval starts. For schedules, offset from the start of the week (Monday 00:00 = 0); for exceptions, offset from midnight on `exception_date`.
    Example: 540

  - `time_intervals.end_minute` (integer)
    Minute the interval ends. For schedules, offset from the start of the week (Monday 00:00 = 0); for exceptions, offset from midnight on `exception_date`.
    Example: 1020

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object - always `office_hours_schedule`.
    Example: office_hours_schedule

  - `id` (string)
    The unique identifier for the office hours schedule.
    Example: 123

  - `name` (string)
    The name of the office hours schedule.
    Example: Standard Support Hours

  - `time_zone_name` (string)
    The IANA time zone the schedule's hours are evaluated in.
    Example: America/New_York

  - `time_intervals` (array)
    The open intervals that make up the weekly schedule.

  - `time_intervals.start_minute` (integer)
    Minute the interval starts. For schedules, offset from the start of the week (Monday 00:00 = 0); for exceptions, offset from midnight on `exception_date`.
    Example: 540

  - `time_intervals.end_minute` (integer)
    Minute the interval ends. For schedules, offset from the start of the week (Monday 00:00 = 0); for exceptions, offset from midnight on `exception_date`.
    Example: 1020

  - `time_intervals.day_of_week` (integer)
    Derived day of the week the interval falls on (0 = Monday … 6 = Sunday). For exceptions, this is derived from `exception_date`. It is returned in responses only; a request that includes it is rejected with a 400 error.
    Example: 0

  - `twenty_four_seven` (boolean)
    Whether the schedule is open 24/7.
    Example: false

  - `created_at` (integer)
    The time the schedule was created as a Unix timestamp.
    Example: 1717200000

  - `updated_at` (integer)
    The time the schedule was last updated as a Unix timestamp.
    Example: 1717200000

## Response 400 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

## Response 422 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

